prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_050100 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2016.08.24'
,p_release=>'5.1.4.00.08'
,p_default_workspace_id=>3209043064509883755
,p_default_application_id=>9285
,p_default_owner=>'TREVIS'
);
end;
/
prompt --application/shared_components/plugins/item_type/ca_trevis_apex_ig_simple_checkbox
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(50143781489740047474)
,p_plugin_type=>'ITEM TYPE'
,p_name=>'CA.TREVIS.APEX.IG_SIMPLE_CHECKBOX'
,p_display_name=>'IG Simple Checkbox'
,p_supported_ui_types=>'DESKTOP'
,p_supported_component_types=>'APEX_APPL_PAGE_IG_COLUMNS'
,p_javascript_file_urls=>'#PLUGIN_FILES#js/ca_trevis_apex_ig_simple_checkbox.bundle.min.js'
,p_css_file_urls=>'#PLUGIN_FILES#css/ca_trevis_apex_ig_simple_checkbox.min.css'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'--------------------------------------------------------------------------------',
'-- Render Procedure',
'--------------------------------------------------------------------------------',
'procedure render_ig_simple_checkbox (',
'  p_item   in            apex_plugin.t_item,',
'  p_plugin in            apex_plugin.t_plugin,',
'  p_param  in            apex_plugin.t_item_render_param,',
'  p_result in out nocopy apex_plugin.t_item_render_result',
')',
'is',
'  c_name            constant varchar2(30)    := apex_plugin.get_input_name_for_item;',
'  c_escaped_value   constant varchar2(32767) := apex_escape.html_attribute(p_param.value);',
'  c_checked_value   constant varchar2(32767) := nvl(p_item.attribute_01, 1);',
'  c_unchecked_value constant varchar2(32767) := nvl(p_item.attribute_02, 0);',
'begin',
'  if p_param.is_readonly or p_param.is_printer_friendly then',
'    apex_plugin_util.print_hidden_if_readonly (',
'      p_item_name           => p_item.name,',
'      p_value               => p_param.value,',
'      p_is_readonly         => p_param.is_readonly,',
'      p_is_printer_friendly => p_param.is_printer_friendly',
'    );',
'',
'    sys.htp.prn(',
'      apex_string.format(',
'        ''<input type="text" %s id="%s" value="%s"/>''',
'        , apex_plugin_util.get_element_attributes(p_item, p_item.name, ''apex-item-igsimplecheckbox apex-item-plugin'')',
'        , p_item.name|| ''_DISPLAY''',
'        , case when p_param.value is null then '''' else ltrim( rtrim ( c_escaped_value ) ) end',
'      )',
'    );',
'  else',
'    sys.htp.prn(',
'      apex_string.format(',
'        ''<input type="text" %s id="%s" value="%s"/>''',
'        , apex_plugin_util.get_element_attributes(p_item, c_name, ''apex-item-igsimplecheckbox apex-item-plugin'')',
'        , p_item.name',
'        , case when p_param.value is null then '''' else ltrim( rtrim ( c_escaped_value ) ) end',
'      )',
'    );',
'',
'    apex_javascript.add_onload_code (',
'      p_code => apex_string.format(',
'                  ''ca_trevis_apex_ig_simple_checkbox.init("%s", {readOnly: %s, checkedValue: "%s", uncheckedValue: "%s", isRequired: %s});''',
'                  , case when p_param.is_readonly or p_param.is_printer_friendly then p_item.name || ''_DISPLAY'' else p_item.name end',
'                  , case when p_param.is_readonly then ''true'' else ''false'' end',
'                  , c_checked_value',
'                  , c_unchecked_value',
'                  , case when p_item.is_required then ''true'' else ''false'' end',
'                )',
'    );',
'  end if;',
'',
'  p_result.is_navigable := (not p_param.is_readonly = false and not p_param.is_printer_friendly);',
'end render_ig_simple_checkbox;',
'',
'--------------------------------------------------------------------------------',
'-- Meta Data Procedure',
'--------------------------------------------------------------------------------',
'procedure metadata_ig_simple_checkbox (',
'  p_item   in            apex_plugin.t_item,',
'  p_plugin in            apex_plugin.t_plugin,',
'  p_param  in            apex_plugin.t_item_meta_data_param,',
'  p_result in out nocopy apex_plugin.t_item_meta_data_result )',
'is',
'begin',
'  p_result.escape_output := false;',
'end metadata_ig_simple_checkbox;',
'',
'--------------------------------------------------------------------------------',
'-- Validation Procedure',
'--------------------------------------------------------------------------------',
'procedure validate_ig_simple_checkbox (',
'  p_item   in            apex_plugin.t_item,',
'  p_plugin in            apex_plugin.t_plugin,',
'  p_param  in            apex_plugin.t_item_validation_param,',
'  p_result in out nocopy apex_plugin.t_item_validation_result )',
'is',
'  c_checked_value   constant varchar2(32767) := nvl(p_item.attribute_01, 1);',
'  c_unchecked_value constant varchar2(32767) := nvl(p_item.attribute_02, 0);',
'begin',
'  if not (p_param.value in (c_checked_value, c_unchecked_value)',
'          or (p_param.value is null and c_unchecked_value is null)',
'         )',
'  then',
'    p_result.message := ''Checkbox contains invalid value ('' || p_param.value || '')'';',
'  end if;',
'end validate_ig_simple_checkbox;',
''))
,p_api_version=>2
,p_render_function=>'render_ig_simple_checkbox'
,p_meta_data_function=>'metadata_ig_simple_checkbox'
,p_validation_function=>'validate_ig_simple_checkbox'
,p_standard_attributes=>'VISIBLE:SESSION_STATE:READONLY:SOURCE:ICON:ENCRYPT'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'18.2.3'
,p_about_url=>'https://github.com/rafael-trevisan/apex-plugin-ig_simple_checkbox'
,p_files_version=>10
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(50145107408085211199)
,p_plugin_id=>wwv_flow_api.id(50143781489740047474)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'Checked Value'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_default_value=>'1'
,p_supported_ui_types=>'DESKTOP'
,p_supported_component_types=>'APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(50145109415986212693)
,p_plugin_id=>wwv_flow_api.id(50143781489740047474)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Unchecked Value'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_default_value=>'0'
,p_supported_ui_types=>'DESKTOP'
,p_supported_component_types=>'APEX_APPL_PAGE_IG_COLUMNS'
,p_is_translatable=>false
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2E612D47562D636F6C756D6E4974656D202E69672D73696D706C652D636865636B626F7820696E7075745B747970653D746578745D2C2E612D47562D636F6C756D6E4974656D202E69672D73696D706C652D636865636B626F7820696E7075745B747970';
wwv_flow_api.g_varchar2_table(2) := '653D746578745D3A666F6375732C2E69672D73696D706C652D636865636B626F7820696E7075745B747970653D746578745D2C2E69672D73696D706C652D636865636B626F7820696E7075745B747970653D746578745D3A666F6375737B626F72646572';
wwv_flow_api.g_varchar2_table(3) := '2D77696474683A3021696D706F7274616E743B6865696768743A3021696D706F7274616E743B70616464696E673A3021696D706F7274616E743B77696474683A3021696D706F7274616E747D2E69672D73696D706C652D636865636B626F787B70616464';
wwv_flow_api.g_varchar2_table(4) := '696E672D6C6566743A303B746578742D616C69676E3A63656E7465723B77696474683A313030257D2E69672D73696D706C652D636865636B626F782E636865636B626F785F67726F75702E617065782D6974656D2D636865636B626F787B746578742D61';
wwv_flow_api.g_varchar2_table(5) := '6C69676E3A63656E7465727D2E69672D73696D706C652D636865636B626F782E636865636B626F785F67726F757020696E7075747B626F726465723A303B636C69703A726563742830203020302030293B6865696768743A3170783B6D617267696E3A2D';
wwv_flow_api.g_varchar2_table(6) := '3170783B6F766572666C6F773A68696464656E3B70616464696E673A303B706F736974696F6E3A6162736F6C7574653B77696474683A3170787D2E69672D73696D706C652D636865636B626F782E636865636B626F785F67726F757020696E7075742B6C';
wwv_flow_api.g_varchar2_table(7) := '6162656C7B637572736F723A706F696E7465723B646973706C61793A696E6C696E652D626C6F636B3B6D696E2D6865696768743A313670783B70616464696E672D6C6566743A313670783B706F736974696F6E3A72656C61746976653B76657274696361';
wwv_flow_api.g_varchar2_table(8) := '6C2D616C69676E3A746F707D2E69672D73696D706C652D636865636B626F782E636865636B626F785F67726F757020696E7075742B6C6162656C3A3A6265666F72657B6261636B67726F756E642D636F6C6F723A236639663966393B626F726465723A31';
wwv_flow_api.g_varchar2_table(9) := '707820736F6C6964207267626128302C302C302C2E32293B626F726465722D7261646975733A3270783B636F6E74656E743A27273B646973706C61793A626C6F636B3B6865696768743A313670783B6C6566743A303B706F736974696F6E3A6162736F6C';
wwv_flow_api.g_varchar2_table(10) := '7574653B746F703A303B2D7765626B69742D7472616E736974696F6E3A2E32357320656173653B7472616E736974696F6E3A2E32357320656173653B77696474683A313670783B7A2D696E6465783A39307D2E69672D73696D706C652D636865636B626F';
wwv_flow_api.g_varchar2_table(11) := '782E636865636B626F785F67726F7570206C6162656C7B636F6C6F723A233464346434643B666F6E742D73697A653A312E3272656D3B6C696E652D6865696768743A312E3672656D7D2E69672D73696D706C652D636865636B626F782E636865636B626F';
wwv_flow_api.g_varchar2_table(12) := '785F67726F757020696E7075742B6C6162656C3A3A61667465727B6261636B67726F756E642D706F736974696F6E3A3530253B6261636B67726F756E642D7265706561743A6E6F2D7265706561743B6261636B67726F756E642D73697A653A313670783B';
wwv_flow_api.g_varchar2_table(13) := '636F6E74656E743A27273B646973706C61793A626C6F636B3B6865696768743A313670783B6C6566743A303B6F7061636974793A303B706F736974696F6E3A6162736F6C7574653B746F703A303B2D7765626B69742D7472616E736974696F6E3A2E3235';
wwv_flow_api.g_varchar2_table(14) := '7320656173653B7472616E736974696F6E3A2E32357320656173653B77696474683A313670783B7A2D696E6465783A3130307D2E69672D73696D706C652D636865636B626F782E636865636B626F785F67726F757020696E7075743A636865636B65642B';
wwv_flow_api.g_varchar2_table(15) := '6C6162656C3A3A61667465727B2D7765626B69742D616E696D6174696F6E3A636865636B6D61726B202E32357320656173652D696E2D6F75743B616E696D6174696F6E3A636865636B6D61726B202E32357320656173652D696E2D6F75743B2D7765626B';
wwv_flow_api.g_varchar2_table(16) := '69742D616E696D6174696F6E2D66696C6C2D6D6F64653A666F7277617264733B616E696D6174696F6E2D66696C6C2D6D6F64653A666F7277617264733B636F6C6F723A236666663B636F6E74656E743A275C65303037273B666F6E742D66616D696C793A';
wwv_flow_api.g_varchar2_table(17) := '617065782D352D69636F6E2D666F6E7421696D706F7274616E743B666F6E742D73697A653A313470783B2D6D6F7A2D6F73782D666F6E742D736D6F6F7468696E673A677261797363616C653B2D7765626B69742D666F6E742D736D6F6F7468696E673A61';
wwv_flow_api.g_varchar2_table(18) := '6E7469616C69617365643B666F6E742D7374796C653A6E6F726D616C21696D706F7274616E743B666F6E742D76617269616E743A6E6F726D616C21696D706F7274616E743B666F6E742D7765696768743A34303021696D706F7274616E743B6865696768';
wwv_flow_api.g_varchar2_table(19) := '743A313470783B6C696E652D6865696768743A313B6F7061636974793A313B70616464696E673A3170783B737065616B3A6E6F6E653B746578742D7472616E73666F726D3A6E6F6E6521696D706F7274616E743B2D7765626B69742D7472616E73666F72';
wwv_flow_api.g_varchar2_table(20) := '6D3A7363616C652831293B7472616E73666F726D3A7363616C652831293B77696474683A313470787D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(50570720808541335618)
,p_plugin_id=>wwv_flow_api.id(50143781489740047474)
,p_file_name=>'css/ca_trevis_apex_ig_simple_checkbox.min.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '7661722063615F7472657669735F617065785F69675F73696D706C655F636865636B626F783D66756E6374696F6E2861297B66756E6374696F6E20622864297B696628635B645D2972657475726E20635B645D2E6578706F7274733B76617220653D635B';
wwv_flow_api.g_varchar2_table(2) := '645D3D7B693A642C6C3A21312C6578706F7274733A7B7D7D3B72657475726E20615B645D2E63616C6C28652E6578706F7274732C652C652E6578706F7274732C62292C652E6C3D21302C652E6578706F7274737D76617220633D7B7D3B72657475726E20';
wwv_flow_api.g_varchar2_table(3) := '622E6D3D612C622E633D632C622E643D66756E6374696F6E28612C632C64297B622E6F28612C63297C7C4F626A6563742E646566696E6550726F706572747928612C632C7B636F6E666967757261626C653A21312C656E756D657261626C653A21302C67';
wwv_flow_api.g_varchar2_table(4) := '65743A647D297D2C622E6E3D66756E6374696F6E2861297B76617220633D612626612E5F5F65734D6F64756C653F66756E6374696F6E28297B72657475726E20615B2764656661756C74275D7D3A66756E6374696F6E28297B72657475726E20617D3B72';
wwv_flow_api.g_varchar2_table(5) := '657475726E20622E6428632C2761272C63292C637D2C622E6F3D66756E6374696F6E28612C62297B72657475726E204F626A6563742E70726F746F747970652E6861734F776E50726F70657274792E63616C6C28612C62297D2C622E703D27272C622862';
wwv_flow_api.g_varchar2_table(6) := '2E733D30297D285B66756E6374696F6E28612C622C63297B612E6578706F7274733D632831297D2C66756E6374696F6E28612C622C63297B2775736520737472696374273B4F626A6563742E646566696E6550726F706572747928622C275F5F65734D6F';
wwv_flow_api.g_varchar2_table(7) := '64756C65272C7B76616C75653A21307D292C632E6428622C27696E6974272C66756E6374696F6E28297B72657475726E20647D293B2F2A2A0A202A2040617574686F722052616661656C20547265766973616E203C72616661656C407472657669732E63';
wwv_flow_api.g_varchar2_table(8) := '613E0A202A20406C6963656E73650A202A20436F707972696768742028632920323031382052616661656C20547265766973616E0A202A0A202A205065726D697373696F6E20697320686572656279206772616E7465642C2066726565206F6620636861';
wwv_flow_api.g_varchar2_table(9) := '7267652C20746F20616E7920706572736F6E206F627461696E696E67206120636F70790A202A206F66207468697320736F66747761726520616E64206173736F63696174656420646F63756D656E746174696F6E2066696C657320287468652027536F66';
wwv_flow_api.g_varchar2_table(10) := '747761726527292C20746F206465616C0A202A20696E2074686520536F66747761726520776974686F7574207265737472696374696F6E2C20696E636C7564696E6720776974686F7574206C696D69746174696F6E20746865207269676874730A202A20';
wwv_flow_api.g_varchar2_table(11) := '746F207573652C20636F70792C206D6F646966792C206D657267652C207075626C6973682C20646973747269627574652C207375626C6963656E73652C20616E642F6F722073656C6C0A202A20636F70696573206F662074686520536F6674776172652C';
wwv_flow_api.g_varchar2_table(12) := '20616E6420746F207065726D697420706572736F6E7320746F2077686F6D2074686520536F6674776172652069730A202A206675726E697368656420746F20646F20736F2C207375626A65637420746F2074686520666F6C6C6F77696E6720706C617965';
wwv_flow_api.g_varchar2_table(13) := '72733A0A202A0A202A205468652061626F766520636F70797269676874206E6F7469636520616E642074686973207065726D697373696F6E206E6F74696365207368616C6C20626520696E636C7564656420696E20616C6C0A202A20636F70696573206F';
wwv_flow_api.g_varchar2_table(14) := '72207375627374616E7469616C20706F7274696F6E73206F662074686520536F6674776172652E0A202A0A202A2054484520534F4654574152452049532050524F564944454420274153204953272C20574954484F55542057415252414E5459204F4620';
wwv_flow_api.g_varchar2_table(15) := '414E59204B494E442C2045585052455353204F520A202A20494D504C4945442C20494E434C5544494E4720425554204E4F54204C494D4954454420544F205448452057415252414E54494553204F46204D45524348414E544142494C4954592C0A202A20';
wwv_flow_api.g_varchar2_table(16) := '4649544E45535320464F52204120504152544943554C415220505552504F534520414E44204E4F4E494E4652494E47454D454E542E20494E204E4F204556454E54205348414C4C205448450A202A20415554484F5253204F5220434F5059524947485420';
wwv_flow_api.g_varchar2_table(17) := '484F4C44455253204245204C4941424C4520464F5220414E5920434C41494D2C2044414D41474553204F52204F544845520A202A204C494142494C4954592C205748455448455220494E20414E20414354494F4E204F4620434F4E54524143542C20544F';
wwv_flow_api.g_varchar2_table(18) := '5254204F52204F54484552574953452C2041524953494E472046524F4D2C0A202A204F5554204F46204F5220494E20434F4E4E454354494F4E20574954482054484520534F465457415245204F522054484520555345204F52204F54484552204445414C';
wwv_flow_api.g_varchar2_table(19) := '494E475320494E205448450A202A20534F4654574152452E0A202A2F636F6E737420643D28612C62293D3E7B636F6E73747B636865636B656456616C75653A632C756E636865636B656456616C75653A642C726561644F6E6C793A657D3D623B6C657420';
wwv_flow_api.g_varchar2_table(20) := '663D303B636F6E737420673D24286023247B617D60292C683D672E616464436C6173732827752D76682069732D666F63757361626C6527292E7772617028273C64697620636C6173733D2269672D73696D706C652D636865636B626F782069672D73696D';
wwv_flow_api.g_varchar2_table(21) := '706C652D636865636B626F782D6974656D2069672D73696D706C652D636865636B626F782D656E61626C6564223E3C2F6469763E27292E706172656E7428292C693D28622C67293D3E7B636F6E737420683D617065782E7574696C2E68746D6C4275696C';
wwv_flow_api.g_varchar2_table(22) := '64657228293B72657475726E20682E6D61726B757028273C64697627292E617474722827636C617373272C2769672D73696D706C652D636865636B626F7820636865636B626F785F67726F757020617065782D6974656D2D636865636B626F7827292E6D';
wwv_flow_api.g_varchar2_table(23) := '61726B757028273E3C696E70757427292E61747472282774797065272C27636865636B626F7827292E6174747228276964272C60247B617D5F247B667D5F3060292E6174747228276E616D65272C60247B617D5F247B667D60292E61747472282776616C';
wwv_flow_api.g_varchar2_table(24) := '7565272C67292E617474722827746162696E646578272C2D31292E617474722827646174612D636865636B65642D76616C7565272C63292E617474722827646174612D756E636865636B65642D76616C7565272C64292E6F7074696F6E616C4174747228';
wwv_flow_api.g_varchar2_table(25) := '27636865636B6564272C673D3D3D63292E6F7074696F6E616C41747472282764697361626C6564272C65292E6D61726B75702827202F3E3C6C6162656C27292E617474722827666F72272C60247B617D5F247B667D5F3060292E6D61726B757028273E27';
wwv_flow_api.g_varchar2_table(26) := '292E636F6E74656E74282727292E6D61726B757028273C2F6C6162656C3E27292C662B3D312C682E746F537472696E6728297D2C6A3D2862293D3E7B636F6E737420633D622E636C6F736573742827747227292E646174612827696427292C643D242862';
wwv_flow_api.g_varchar2_table(27) := '2E706172656E747328272E612D49472729292E617474722827696427292E736C69636528302C2D33292C653D617065782E726567696F6E2864292E77696467657428292C7B6D6F64656C3A667D3D652E696E746572616374697665477269642827676574';
wwv_flow_api.g_varchar2_table(28) := '5669657773272C276772696427292C683D662E6765745265636F72642863292C693D652E696E746572616374697665477269642827676574566965777327292E677269642E6D6F64656C2E6765744F7074696F6E28276669656C647327293B6C6574206A';
wwv_flow_api.g_varchar2_table(29) := '3D27273B4F626A6563742E6B6579732869292E666F7245616368282862293D3E7B695B625D2E656C656D656E7449643D3D3D612626286A3D62297D292C662E73657456616C756528682C6A2C672E76616C2829297D2C6B3D28293D3E7B636F6E73742061';
wwv_flow_api.g_varchar2_table(30) := '3D682E66696E642827696E7075745B747970653D22636865636B626F78225D27293B612E70726F702827636865636B6564272C672E76616C28293D3D3D63292C2828293D3E7B2428272E69672D73696D706C652D636865636B626F7827292E6561636828';
wwv_flow_api.g_varchar2_table(31) := '28612C62293D3E7B242862292E706172656E74732827746427292E6F666628272E696773696D706C65636865636B626F7827292E6F6E28276B6579646F776E2E696773696D706C65636865636B626F78272C2861293D3E7B69662833323D3D3D612E7768';
wwv_flow_api.g_varchar2_table(32) := '696368297B636F6E737420613D242862292E66696E642827696E7075745B747970653D22636865636B626F78225D27293B72657475726E20672E76616C28612E70726F702827636865636B656427293F643A63292E6368616E676528292C6A2867292C6B';
wwv_flow_api.g_varchar2_table(33) := '28292C21317D72657475726E21307D297D297D2928297D3B682E617070656E6428692829292C682E66696E642827696E7075745B747970653D22636865636B626F78225D27292E6F6E28276368616E6765272C2861293D3E7B636F6E737420623D242861';
wwv_flow_api.g_varchar2_table(34) := '2E63757272656E74546172676574293B672E76616C28622E70726F702827636865636B656427293F633A64292E6368616E676528292C6A2862292C672E666F63757328297D292C6B28292C622E726561644F6E6C79262628672E636C6F7365737428272E';
wwv_flow_api.g_varchar2_table(35) := '69672D73696D706C652D636865636B626F7827292E72656D6F7665436C617373282769672D73696D706C652D636865636B626F782D64697361626C656427292C672E636C6F7365737428272E69672D73696D706C652D636865636B626F7827292E616464';
wwv_flow_api.g_varchar2_table(36) := '436C617373282769672D73696D706C652D636865636B626F782D656E61626C65642729292C617065782E6974656D2E63726561746528612C7B73657456616C75652861297B672E76616C2861292C6B28297D2C64697361626C6528297B672E636C6F7365';
wwv_flow_api.g_varchar2_table(37) := '737428272E69672D73696D706C652D636865636B626F7827292E616464436C617373282769672D73696D706C652D636865636B626F782D64697361626C656427292C672E636C6F7365737428272E69672D73696D706C652D636865636B626F7827292E72';
wwv_flow_api.g_varchar2_table(38) := '656D6F7665436C617373282769672D73696D706C652D636865636B626F782D656E61626C656427292C672E70726F70282764697361626C6564272C2130297D2C656E61626C6528297B622E726561644F6E6C797C7C28672E636C6F7365737428272E6967';
wwv_flow_api.g_varchar2_table(39) := '2D73696D706C652D636865636B626F7827292E72656D6F7665436C617373282769672D73696D706C652D636865636B626F782D64697361626C656427292C672E636C6F7365737428272E69672D73696D706C652D636865636B626F7827292E616464436C';
wwv_flow_api.g_varchar2_table(40) := '617373282769672D73696D706C652D636865636B626F782D656E61626C656427292C672E70726F70282764697361626C6564272C213129297D2C646973706C617956616C7565466F722861297B72657475726E20692821302C61297D7D297D7D5D293B0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(50570721757368338096)
,p_plugin_id=>wwv_flow_api.id(50143781489740047474)
,p_file_name=>'js/ca_trevis_apex_ig_simple_checkbox.bundle.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
